﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Stimulsoft.Report;

namespace LinqToSql.Net
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public StiReport report = new StiReport();

        public void RegData(StiReport report)
        {
            using (NorthwindDataContext context = new NorthwindDataContext())
            {
                var categories =
                    from c in context.Categories
                    //select c;
                    select new { c.CategoryID, c.CategoryName, c.Description};


                report.RegData("Categories", categories);
            }
        }

        private void btnDesign_Click(object sender, EventArgs e)
        {
            RegData(report);
            report.Design();
        }

        private void btnShow_Click(object sender, EventArgs e)
        {
            report.Load("\\Report.mrt");
            RegData(report);
            report.Show();
        }
    }
}
